ubi-partman failed with exit code 141

Bug #945027 reported by Tom De Letter on 2012-03-02
92
This bug affects 19 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
slavobucher
Precise
High
Unassigned
Raring
High
Unassigned

Bug Description

[Impact]

 * Installation fails if there are two operating systems on disk with one of them being Ubuntu

[Test Case]

* Boot into installer on a machine which has dual-boot of Ubuntu and some other OS type
* Start installation
* Partitioning page should show partitioning options and not crash.

Related branches

Tom De Letter (tom-deletter) wrote :
Tom De Letter (tom-deletter) wrote :
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubiquity (Ubuntu):
status: New → Confirmed

Same issue with the release build, I'm unable to install Ubuntu. My syslog has the same error as Tom's in comment #2.

Jessica Lambiase (siliconjey) wrote :

Avoid using network-manager to connect to the internet: connect to your wireless network using ubiquity (4th or 5th step) during install. This worked for me

Martin Blais (blaism) wrote :

Same problem here, Ubuntu 12.04 64-bit on Macbook 4,1.
/var/log/syslog contains the error:

May 25 01:23:18 ubuntu ubiquity[13176]: Device free not found in os-prober output
May 25 01:23:18 ubuntu ubiquity[13176]: Device /dev/sda1 not found in os-prober output
May 25 01:23:18 ubuntu ubiquity[13176]: Device free not found in os-prober output
May 25 01:23:18 ubuntu ubiquity[13176]: Device free not found in os-prober output
May 25 01:23:18 ubuntu ubiquity[13176]: Traceback (most recent call last):
May 25 01:23:18 ubuntu ubiquity[13176]: File "/usr/lib/ubiquity/ubiquity/misc.py", line 203, in boot_device
May 25 01:23:18 ubuntu ubiquity[13176]: for part in p.partitions():
May 25 01:23:18 ubuntu ubiquity[13176]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 206, in partitions
May 25 01:23:18 ubuntu ubiquity[13176]: self.open_dialog('PARTITIONS')
May 25 01:23:18 ubuntu ubiquity[13176]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 135, in open_dialog
May 25 01:23:18 ubuntu ubiquity[13176]: self.outf = open(outfifo, 'r')
May 25 01:23:18 ubuntu ubiquity[13176]: IOError: [Errno 2] No such file or directory: '/var/lib/partman/outfifo'
May 25 01:23:18 ubuntu ubiquity[13176]:
May 25 01:23:18 ubuntu ubiquity[13176]: Traceback (most recent call last):
May 25 01:23:18 ubuntu ubiquity[13176]: File "/usr/lib/ubiquity/ubiquity/misc.py", line 203, in boot_device
May 25 01:23:18 ubuntu ubiquity[13176]: for part in p.partitions():
May 25 01:23:18 ubuntu ubiquity[13176]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 206, in partitions
May 25 01:23:18 ubuntu ubiquity[13176]: self.open_dialog('PARTITIONS')
May 25 01:23:18 ubuntu ubiquity[13176]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 137, in open_dialog
May 25 01:23:18 ubuntu ubiquity[13176]: self.error_handler()
May 25 01:23:18 ubuntu ubiquity[13176]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 126, in error_handler
May 25 01:23:18 ubuntu ubiquity[13176]: raise PartedServerError(exception_type, message, options)
May 25 01:23:18 ubuntu ubiquity[13176]: PartedServerError: ('', '', [])
May 25 01:23:18 ubuntu ubiquity[13176]:
May 25 01:23:18 ubuntu ubiquity[13176]: debconffilter_done: ubi-partman (current: ubi-partman)
May 25 01:23:18 ubuntu ubiquity[13176]: dbfilter_handle_status: ('ubi-partman', 141)

Jay Pipes (jaypipes) wrote :

Same problem, Xubuntu 12.04 install disk :(

Jun 12 01:15:29 xubuntu ubiquity[13667]: Device /dev/sda2 not found in os-prober output
Jun 12 01:15:29 xubuntu ubiquity[13667]: Traceback (most recent call last):
Jun 12 01:15:29 xubuntu ubiquity[13667]: File "/usr/lib/ubiquity/ubiquity/misc.py", line 203, in boot_device
Jun 12 01:15:29 xubuntu ubiquity[13667]: for part in p.partitions():
Jun 12 01:15:29 xubuntu ubiquity[13667]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 206, in partitions
Jun 12 01:15:29 xubuntu ubiquity[13667]: self.open_dialog('PARTITIONS')
Jun 12 01:15:29 xubuntu ubiquity[13667]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 135, in open_dialog
Jun 12 01:15:29 xubuntu ubiquity[13667]: self.outf = open(outfifo, 'r')
Jun 12 01:15:29 xubuntu ubiquity[13667]: IOError: [Errno 2] No such file or directory: '/var/lib/partman/outfifo'
Jun 12 01:15:29 xubuntu ubiquity[13667]:
Jun 12 01:15:30 xubuntu ubiquity[13667]: Traceback (most recent call last):
Jun 12 01:15:30 xubuntu ubiquity[13667]: File "/usr/lib/ubiquity/ubiquity/misc.py", line 203, in boot_device
Jun 12 01:15:30 xubuntu ubiquity[13667]: for part in p.partitions():
Jun 12 01:15:30 xubuntu ubiquity[13667]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 206, in partitions
Jun 12 01:15:30 xubuntu ubiquity[13667]: self.open_dialog('PARTITIONS')
Jun 12 01:15:30 xubuntu ubiquity[13667]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 137, in open_dialog
Jun 12 01:15:30 xubuntu ubiquity[13667]: self.error_handler()
Jun 12 01:15:30 xubuntu ubiquity[13667]: File "/usr/lib/ubiquity/ubiquity/parted_server.py", line 126, in error_handler
Jun 12 01:15:30 xubuntu ubiquity[13667]: raise PartedServerError(exception_type, message, options)
Jun 12 01:15:30 xubuntu ubiquity[13667]: PartedServerError: ('', '', [])

Ma Jun (maclin.jun) on 2012-11-09
Changed in ubiquity (Ubuntu):
assignee: nobody → MA Jun (maclin.jun)
Ma Jun (maclin.jun) wrote :

I found this bug occurs when there are two operations on the disk and one of them is ubuntu.

The error code is in the function "calculate_autopartitioning_options" in the file ubi-partman.py, one variable is used without initialization.

Ma Jun (maclin.jun) wrote :

Post the error dialog picture here for confirmation.

Ma Jun (maclin.jun) on 2013-01-24
Changed in ubiquity (Ubuntu):
assignee: MA Jun (maclin.jun) → nobody
Changed in ubiquity (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
Changed in ubiquity (Ubuntu Precise):
status: New → Triaged
importance: Undecided → High
Dimitri John Ledkov (xnox) wrote :

Fix committed into raring and precise branches.

Changed in ubiquity (Ubuntu Raring):
status: Triaged → Fix Committed
Changed in ubiquity (Ubuntu Precise):
status: Triaged → In Progress
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.13.13

---------------
ubiquity (2.13.13) raring; urgency=low

  [ Dmitrijs Ledkovs ]
  * Bump Standards version and override some lintian tags (ubiquity is
    weird).
  * Override expander style, which is hardcoded in light-themes to a
    light color. (LP: #1100922)
  * Consolidate CssProvider and add make minimal progress bar width 10px,
    in preparation for dot-progress of all steps.
  * Fix colour unit test, the green is no longer what it used to be...
  * Switch to "NotShowIn=KDE" for ubiquity-gtk desktop files, as most !kde
    desktop environments use gtk frontend.
  * Show progress dots for plugin pages and show progress bar only during
    slideshow.

  [ Colin Watson ]
  * Decode the output of apt_pkg.size_to_str() if necessary when
    substituting it into Unicode strings (LP: #877756, #1132918).
  * Update translations from Launchpad.

  [ Aurélien Gâteau ]
  * Turns the Ubiquity KDE window into a regular window and rework
    the layout of widgets to provide more space to the main content.
    The labels on the left now wrap to the next line if they are too long,
    ensuring they are never truncated.
  * KDE: Improve the layout of Prepare step
  * KDE: fix integration of the webview responsible for showing the slideshow
  * KDE: fix various issues with right-to-left languages

  [ Julien Lavergne ]
  * Use feh to draw the wallpaper on Lubuntu when using ubiquity-dm.

  [ Ma Jun (Kylin Team) ]
  * Fix referencing variable before assignment (LP: #945027)

  [ Kobe Lee ]
  * Show OS column in manual partitioning page. (LP: #1100694)

  [ Stéphane Graber ]
  * Fix crash in ubi-console-setup when quickly moving back and worth between
    pages. (LP: #944614)

  [ Jonathan Riddell ]
  * Add back compositing to kwin on live CD (in ubiquity-dm), whatever was wrong
    in 2008 should be fixed now and its making us look ugly
 -- Dmitrijs Ledkovs <email address hidden> Thu, 07 Mar 2013 19:53:52 +0000

Changed in ubiquity (Ubuntu Raring):
status: Fix Committed → Fix Released

Hello Tom, or anyone else affected,

Accepted ubiquity into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/ubiquity/2.10.25 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in ubiquity (Ubuntu Precise):
status: In Progress → Fix Committed
tags: added: verification-needed
maxadamo (massimilianoadamo) wrote :

it doesn't matter if you have two OS installed. I have a brand new disk and fails as well.
In my case, it happens when I select BTRFS instead of EXT4.
Crapware.

tags: added: verification-done
removed: verification-needed

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.10.25

---------------
ubiquity (2.10.25) precise; urgency=low

  [ Colin Watson ]
  * KDE frontend:
    - Set default QString encoding to UTF-8 (LP: #1057485).
  * Make ubiquity-frontend-debconf Architecture: any rather than all; the
    .bgf font format is architecture-dependent (LP: #1180880).
  * Automatic update of included source packages: partman-basicfilesystems
    71ubuntu3.1, partman-efi 25ubuntu1.1.

  [ Ma Jun (Kylin Team) ]
  * Fix referencing variable before assignment (LP: #945027)

  [ Stéphane Graber ]
  * Fix crash in ubi-console-setup when quickly moving back and forth between
    pages. (LP: #944614)
 -- Colin Watson <email address hidden> Fri, 17 May 2013 15:08:59 +0100

Changed in ubiquity (Ubuntu Precise):
status: Fix Committed → Fix Released
Manuel Yanez (muzato42) on 2013-11-15
Changed in ubiquity (Ubuntu):
assignee: nobody → Manuel Yanez (muzato42)
assignee: Manuel Yanez (muzato42) → nobody
Peter Laws (plaws0) wrote :

Kubuntu 14.04, 64-bit brand new Dell T5610, two 256 GB SSDs RAIDed at the factory.

I, too, get the "???? ???" warning dialog and the ubi-partman failed with exit code 141 stuff. Why is this still a problem years later?

EFI boot, Legacy boot, any of the partitioning selections, all useless. Even got in and tried to futz with the partition table via the live disc (which works fine) all to no avail.

Off to find a distro that works on modern hardware ...

Changed in ubiquity (Ubuntu):
assignee: nobody → slavobucher (slavobucher)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers